Speechbase

Update rule

Updates the word, replacement, or case sensitivity of an existing pronunciation rule and returns the updated record.

PATCH
/v1/pronunciation-dictionaries/{id}/rules/{ruleId}

Updates the word, replacement, or case sensitivity of an existing pronunciation rule and returns the updated record.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Path Parameters

id*string
ruleId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X PATCH "https://example.com/v1/pronunciation-dictionaries/string/rules/string" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "dictionary_id": "string",
  "word": "string",
  "replacement": "string",
  "case_sensitive": true,
  "created_at": "string",
  "updated_at": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}